//fonction pour envoyer les données au serveur
function send_data() {
    //envoi des données au serveur
    let Prompt = document.getElementById('Prompt');
    let NB_img = document.getElementById('BatchSlider');
    let Width = document.getElementById('WidthSlider');
    let Height = document.getElementById('HeightSlider');
    let Seed = document.getElementById('SeedZone');
    let Neg_Prompt = document.getElementById('NegPrompt');
    let Guidance = document.getElementById('CFGSlider');
    let Step = document.getElementById('StepSlider');
    //Valeur par défaut
    if (prompt.value != "") {
        if (Prompt.value == "coucou") {
            window.alert("coucou");
        }
        // vérification des valeurs
        if (NB_img.value == undefined) {
            NB_img.value = 1;
        }
        if (Width.value == undefined) {
            Width.value = 256;
        }
        if (Height.value == undefined) {
            Height.value = 256;
        }
        if (Seed.value == undefined) {
            Seed.value = 0;
        }
        if (Neg_Prompt.value == undefined) {
            Neg_Prompt.value = 0;
        }
        if (Guidance.value == undefined) {
            Guidance.value = 0;
        }
        if (Step.value == undefined) {
            Step.value = 0;
        }
        let prompt_total = {
            ID: 'images',
            Prompt: Prompt.value,
            NB_img: NB_img.value,
            Width: Width.value,
            Height: Height.value,
            Seed: Seed.value,
            Neg_Prompt: Neg_Prompt.value,
            Guidance: Guidance.value,
            Step: Step.value,
        }
        socket.emit('Gen_Request', prompt_total);
        console.log(prompt_total);
        console.log(prompt.value);
    }
}

var socket = io.connect();

//fonction pour afficher l'etat du serveur
socket.on('connection', function (x) {
    if (x == 1) {
        document.getElementById("Server_Error").style.display = "none";
    } else {
        document.getElementById("Server_Error").style.display = "block";
    }
});

//fonction lors de la reception des images
socket.on('image', (msgRecevied) => {
    // Obtenir l'élément image dans la page HTML
    const imageElement = document.getElementById(`image${msgRecevied.id}`);

    // Mettre à jour la source de l'image avec l'URL de l'image reçue
    imageElement.setAttribute('src', msgRecevied.data);

    // Obtenir l'élément Queue dans la page HTML
    const Affichage_Queue = document.getElementById('Queue_Aff');

    // Afficher Done
    Affichage_Queue.innerHTML = "Done";
});
socket.emit('message', 'coucou 2');

socket.on('notification', function (x) { notification(x); });
socket.emit('notification', 'Server online via socket!');